> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascustomroute.md).

# New-RASCustomRoute.md

## NAME

New-RASCustomRoute

## SYNOPSIS

Creates a new Custom Route.

## SYNTAX

**New-RASCustomRoute** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[PublicAddress](#publicaddress-string) *(string)* \[[Description](#description-string) *(string)*] \[[Port](#port-string) *(uint)*] \[[SSLPort](#sslport-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates a new Custom Route.

## PARAMETERS

## Name (string)

The name of the Custom Route.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to add the specified Custom Route.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

A user-defined Custom Route description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PublicAddress (string)

Public Address of the Custom Route

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Port (uint)

Port of the Custom Route. Default: 80

```
        Required?                    false

        Position?                    named

        Default value                80

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SSLPort (uint)

SSL Port of the Custom Route. Default: 443

```
        Required?                    false

        Position?                    named

        Default value                443

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[CustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/customroute.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASCustomRoute -Name "My Custom Route" -PublicAddress

Creates a new Custom Route with the specified name.

## RELATED LINKS

* [Get-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascustomroute.md)
* [Set-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascustomroute.md)
* [Remove-RASCustomRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascustomroute.md)
* [Add-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raspubitempreferredroute.md)
* [Get-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubitempreferredroute.md)
* [Set-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubitempreferredroute.md)
* [Remove-RASPubItemPreferredRoute](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubitempreferredroute.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascustomroute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
